//运行模块初始化gradle配置，可以依赖这个配置 再配置别的依赖
apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'dagger.hilt.android.plugin'

//运行模块可以添加路由
apply plugin: 'com.alibaba.arouter'

apply from: rootProject.file('lib_base_config.gradle')  //重复的配置统一由基类提供


android {
    defaultConfig {
        versionCode 100
        versionName "1.0.0"
        applicationId "com.hongyegroup.running"
    }

    buildFeatures {
        dataBinding = true
        viewBinding = true
    }
}

dependencies {

    //依赖注入
    implementation deps.support.hilt
    kapt deps.support.hilt_kapt

    implementation project(':cs_cptServices')  //运行模块默认添加Service模块的
}